﻿@model IEnumerable<shop.Models.ProductFeild>

@{
    ViewBag.Title = "مشخصات";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

<div class="card">
    <div class="card-header bg-dark text-white">
        <div class="row">
            <div class="col-6 text-left mt-1">
                مشخصات
            </div>
            <div class="col-6 text-right">
                <a onclick='feildmodal(@ViewBag.myid)' class="btn btn-success">افزودن مشخصات</a>
            </div>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-hover">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Feild.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.FeldValue)
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Feild.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.FeldValue)
                    </td>
                    <td>

                        @Html.ActionLink("حذف", "Delete", new { id = item.Id }, new { @class = "btn btn-outline-danger" })
                    </td>
                </tr>
            }

        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">


            </div>
            <div class="modal-body" id="bodymodal">

            </div>

        </div>
    </div>
</div>
@section scriptmodal{

    <script>
        function feildmodal(id) {

            $.ajax({
                url: "/Admin/ProductFeilds/Create/" + id,
                type: "Get",
                data: {},
            }).done(function (result) {
                $('#exampleModal').modal('show');
                $('#exampleModalHeader').html("ثبت مشخصات");
                $('#bodymodal').html(result);
            });
        }

    </script>


}

